Page MenuHomePhabricator

Apertium machine translation doesn't work from Norwegian Nynorsk to Bokmål
Closed, ResolvedPublic1 Story Points

Description

The nynorsk-bokmål pair in Apertium does not work, or is not posted properly. This used to work.

This language pair is the primary reason why the communities want to try out this extension, and it would be really nice if it could be reenabled. Bokmål and Nynorsk are the two official written variants of Norwegian, and nowiki and nnwiki are the two Wikipedia projects using those two variants.

During the test I was editing from nowiki (Bokmål).

Details

Related Gerrit Patches:
operations/puppet : productioncxserver: Add 'nb' in Apertium MT
mediawiki/services/cxserver : masterFix Apertium MT config for Norwegian Nynorsk and Norwegian Bokmål
mediawiki/services/cxserver : masterMap nb to nob

Event Timeline

jeblad created this task.May 3 2015, 3:20 PM
jeblad raised the priority of this task from to Needs Triage.
jeblad updated the task description. (Show Details)
jeblad added a subscriber: jeblad.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 3 2015, 3:20 PM
KartikMistry set Security to None.

Thanks for your bug report. I'll look into details and update here.

jeblad updated the task description. (Show Details)May 3 2015, 6:35 PM
jeblad renamed this task from Bokmål-nynorsk -pair does not work to Bokmål-nynorsk -pair does not work (machine translation in Apertium).May 3 2015, 8:14 PM
Amire80 triaged this task as High priority.May 4 2015, 7:55 AM

Change 208912 had a related patch set uploaded (by KartikMistry):
Map nb to nob

https://gerrit.wikimedia.org/r/208912

KartikMistry moved this task from Backlog to In Progress on the LE-Sprint-86 board.May 5 2015, 7:32 AM
KartikMistry edited a custom field.

Change 208912 merged by jenkins-bot:
Map nb to nob

https://gerrit.wikimedia.org/r/208912

jeblad added a comment.EditedMay 5 2015, 9:07 PM

This is not sufficient to correct the situation, Nynorsk is still not translated into Bokmål. (Unless it isn't rolled out in prod, only at a dev server.) I've tested translation of "Camp Academia", first line reads "...er ein leir på..." and should read "...er en leir på...".

This isn't deployed yet. Schedule to be deploy on Thursday 8 AM PST. Also note that nb is redirection to no. So, you might want to select no instead of nb and try again? Fix will just fix code in Apertium.

jeblad added a comment.May 6 2015, 7:35 PM

Ok, will try again tomorrow then. :)

Arrbee added a subscriber: Arrbee.May 8 2015, 12:03 PM

@jeblad since nb is not selectable through the language selector its hard to get to an url with target language code as 'nb'. Did you use the language selector or a different method to arrive into that? Thanks.

Arrbee edited projects, added LE-Sprint-87; removed LE-Sprint-86.May 25 2015, 8:08 AM
Arrbee moved this task from Backlog to In Progress on the LE-Sprint-87 board.May 25 2015, 8:15 AM
KartikMistry closed this task as Resolved.May 29 2015, 4:31 AM
KartikMistry moved this task from In Progress to Done on the LE-Sprint-87 board.

This language pair still does not work, but perhaps the deployment isn't completely done yet?

jeblad reopened this task as Open.Jun 24 2015, 6:47 AM

Just checked, and the machine translation from Nynorsk to Bokmål does not work.

Just checked, and the machine translation from Nynorsk to Bokmål does not work.

Oh my! Thanks for letting us know.

Amire80 added a subscriber: Amire80.Jul 1 2015, 1:29 PM

OK, I'm totally confused.

I just tried it and it seems to work.

It gets "1-2-6 var et norsk rockeband fra Bodø i Nordland, etablert i 1964." and outputs "1-2-6 var eit norsk rockeband frå Bodø i Nordland, etablert i 1964."

Looks like a translation to me (et/eit, fra/frå).

What do I have to do to make it not work? Or was it fixed somehow?

jeblad added a comment.Jul 2 2015, 7:49 AM

Create a new content translation, for example Casanovas Peak from Norwegian (Nynorsk) Wikipedia to Norwegian (Bokmål) Wikipedia, create a translation into Bokmål for the first paragraph, and note the missing translation of "ein iskuppel med ei høgd" (should be "en iskuppelmed en høyde". Se following screendump.

)

It might be interesting to note that the mid right box says that it is a 100% translation, while the lower right box says that machine translation is not available.

Perhaps I should add screendumps for the previous actions, in case something fails there.

jeblad added a comment.Jul 2 2015, 8:00 AM

From an empty dialog to translation of the first paragraph. Note that this is from Nynorsk to Bokmål.




jeblad added a comment.Jul 2 2015, 8:11 AM

Checked translation from Nynorsk to Bokmål and it seems to work. Had to set "from=no" as there is no "nb".

Note that "fra 1849" turns into "frå 1849".

jeblad added a comment.Jul 2 2015, 8:16 AM

In previous post about Margaret Taylor, note that the box to the right reads "Maskinomsetjing Frå Apertium". In the post before that about Chudomir Cove, the same box reads "Maskinomsetting Ikke tilgjengelig for norsk (bokmål)".

It seems like the bug only exist for the translation from nynorsk and into bokmål.

Amire80 renamed this task from Bokmål-nynorsk -pair does not work (machine translation in Apertium) to Apertium machine translation doesn't work from Norwegian Nynorsk to Bokmål.Jul 2 2015, 12:45 PM
Amire80 updated the task description. (Show Details)

Thank you very much for testing, @jeblad.

It's one of those issues cause by the nb/no duplicity :/

Amire80 moved this task from Needs Triage to CX6 on the ContentTranslation board.Jul 2 2015, 5:05 PM
Amire80 edited a custom field.
Arrbee edited a custom field.Jul 21 2015, 5:52 PM

Users are starting to get annoyed at nowiki and wonder when this will be fixed.

Change 229335 had a related patch set uploaded (by KartikMistry):
Fix config for Norwegian Nynorsk and Norwegian Bokmål

https://gerrit.wikimedia.org/r/229335

Change 229335 merged by jenkins-bot:
Fix Apertium MT config for Norwegian Nynorsk and Norwegian Bokmål

https://gerrit.wikimedia.org/r/229335

Arrbee added a comment.Aug 6 2015, 1:19 PM

Tested. nn to nb/no machine translations are now working.

Change 229720 had a related patch set uploaded (by KartikMistry):
cxserver: Add 'nb' in Apertium MT

https://gerrit.wikimedia.org/r/229720

Change 229720 merged by Alexandros Kosiaris:
cxserver: Add 'nb' in Apertium MT

https://gerrit.wikimedia.org/r/229720

KartikMistry closed this task as Resolved.Aug 7 2015, 5:55 AM
KartikMistry moved this task from In Review to Done on the LE-CX6-Sprint 1 board.
Arrbee reopened this task as Open.Aug 12 2015, 7:16 AM

Reopening. This is happening again and needs investigation.

Arrbee moved this task from Backlog to In Progress on the LE-CX6-Sprint 2 board.Aug 12 2015, 7:18 AM
KartikMistry closed this task as Resolved.Aug 13 2015, 7:38 AM
KartikMistry moved this task from In Progress to Done on the LE-CX6-Sprint 2 board.
This comment was removed by Unhammer.
Restricted Application added subscribers: Danmichaelo, jhsoby. · View Herald TranscriptMay 25 2018, 6:55 PM